> For the complete documentation index, see [llms.txt](https://docs.clusters.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/event-indexing.md).

# Event Indexing

Events are updated every minute

## Events

<mark style="color:green;">`GET`</mark> `/v0.1/events`

Get a list of historical events that happen on the Clusters application that can be replayed to get the full state.

| Name                         | Description                                  |
| ---------------------------- | -------------------------------------------- |
| `fromTimestamp` *(optional)* | The unix timestamp to start your filter from |
| `nextPage` *(optional)*      | Specify the next page in the response        |
| `sortBy` *(optional)*        | `oldest` or `newest` Defaults to `oldest`    |
| `limit` *(optional)*         | How many rows to return.  Defaults to `1000` |

**Note:** If you use the `nextPage` query param, `fromTimestamp` will be ignored.

**Example**

```http
https://api.clusters.xyz/v0.1/events
```

**Response**

> List of events

{% tabs %}
{% tab title="200" %}

```json
{
  "nextPage": "jXZ3XA7TgI",
  "items": [
    {
      "eventType": "register",
      "clusterId": 3,
      "bytes32Address": "0x000000000000000000000000822b5a721b4bcf8e627f0dc287c57f187d0b17dc",
      "address": "0x822b5a721b4bcf8e627f0dc287c57f187d0b17dc",
      "addressType": "evm",
      "data": {
        "name": "torje",
        "weiAmount": 10000000000000000
      },
      "timestamp": 1706799767
    },
    {
      "eventType": "register",
      "clusterId": 4,
      "bytes32Address": "0x000000000000000000000000d64477d0f5fe7e6b8486a336fe694ef7789ab912",
      "address": "0xd64477d0f5fe7e6b8486a336fe694ef7789ab912",
      "addressType": "evm",
      "data": {
        "name": "misconix",
        "weiAmount": 10000000000000000
      },
      "timestamp": 1706799779
    },
    {
      "eventType": "updateWallet",
      "clusterId": 2,
      "bytes32Address": "0x000000000000000000000000000000006533ecb269f92a09d8541e84e485332f",
      "address": "0x000000006533ecb269f92a09d8541e84e485332f",
      "addressType": "evm",
      "data": {
        "name": "main",
        "isVerified": 1
      },
      "timestamp": 1706799790
    },
  ]
}
```

{% endtab %}

{% tab title="500" %}

```json
null
```

{% endtab %}
{% endtabs %}
